## cruft-ng 0.4

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 test_%: %.o test_%.cc dpkg_popen.o
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) $< $@.cc dpkg_popen.o -o $@
 test_mlocate: mlocate.o test_mlocate.cc
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) $< $@.cc -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) mlocate.o test_mlocate.cc -o $@
 
 install: all
 	#install -D -m 2755 -g mlocate cruft-ng   $(DESTDIR)/usr/bin/cruft-ng
