=== debian/changelog ===
cruft-ng (0.4) unstable; urgency=medium

  * Enable DEBUG all over the place
  * Print DEBUG info to stderr
  * process uppercase files in /etc/cruft/filters/ like original cruft
  * process script files in /etc/cruft/explain/ like original cruft

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Mon, 11 May 2015 16:50:37 +0200
