## cruft-ng 0.4.2

=== debian/changelog ===
cruft-ng (0.4.2) unstable; urgency=low

  * revert ignoring /srv, let admin handle this with their custom rules
  * take into account dpkg's path-exclude configuration (Closes: #619086)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 11 Dec 2015 13:04:38 +0100
