=== debian/changelog ===
cruft-ng (0.4.3) unstable; urgency=low

  * don't report .pyc files if a .py file exist (Closes:  #366616)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Wed, 06 Jan 2016 21:51:45 +0100
