## cruft-ng 0.4.4~bpo8+1

=== debian/changelog ===
cruft-ng (0.4.4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Paul Wise <pabs@debian.org>  Fri, 12 Feb 2016 13:00:30 +1100

cruft-ng (0.4.4) unstable; urgency=low

  * Add support for systems with UsrMerge

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 17 Jan 2016 21:16:43 +0100
