=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: cruft-ng
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mlocate,
-          cruft (<< 0.9.20) | cruft-common
+          cruft-common
 Description: program that finds any cruft built up on your system
  cruft-ng is a program to look over your system for anything that shouldn't
  be there, but is; or for anything that should be there, but isn't.
