## cruft-ng 0.4.5

=== debian/changelog ===
cruft-ng (0.4.5) unstable; urgency=low

  * Declare compliance with Policy 4.1.2
  * Enable full hardening
  * Only refresh mlocate database when needed
  * Switch to DebHelper 10
  * Handle filenames longer than 199 bytes (Closes: #867016),
    thanks to Stefan Bühler
  * set Rules-Requires-Root: no

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 08 Dec 2017 12:21:32 +0100
