## cruft-ng 0.4.7+nmu1

=== debian/changelog ===
cruft-ng (0.4.7+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:06:32 +0800
