## cruft-ng 0.4.9

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,8 @@
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) mlocate.o test_mlocate.cc -o $@
 test_excludes: dpkg_exclude.o test_excludes.cc
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) dpkg_exclude.o test_excludes.cc -o $@
+test_diversions: test_diversions.cc dpkg_popen.o usr_merge.o
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) test_diversions.cc dpkg_popen.o usr_merge.o -o $@
 
 install: all
 	#install -D -m 2755 -g mlocate cruft-ng   $(DESTDIR)/usr/bin/cruft-ng
@@ -42,5 +44,5 @@
 	install -D -m 0644            README.md  $(DESTDIR)/usr/share/doc/cruft-ng/README.md
 
 clean:
-	rm -f cruft-ng cruftlib test_mlocate test_explain test_filters test_excludes test_dpkg
+	rm -f cruft-ng cruftlib test_mlocate test_explain test_filters test_excludes test_dpkg test_diversions
 	rm -f *.o
