=== debian/changelog ===
cruft-ng (0.4.9) unstable; urgency=low

  * /usr/include/mlocate/db.h has vanished,
    revert change of 0.4.7 (Closes: #975754)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Thu, 03 Dec 2020 02:46:46 +0100
