## cruft-ng 0.4.50

=== debian/changelog ===
cruft-ng (0.4.50) unstable; urgency=low

  * Also support plocate. (Closes: #976367)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 22 Aug 2021 15:45:33 +0200
