=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: cruft-ng
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mlocate,
+Depends: ${shlibs:Depends}, ${misc:Depends}, mlocate | plocate,
           cruft-common
 Description: program that finds any cruft built up on your system
  cruft-ng is a program to look over your system for anything that shouldn't
