## cruft-ng 0.4.51

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CXXFLAGS ?= -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z,relro -D_FORTIFY_SOURCE=2
 CXXFLAGS += -Wall
-SHARED_OBJS = cruft.o dpkg_exclude.o explain.o filters.o mlocate.o shellexp.o usr_merge.o
+SHARED_OBJS = cruft.o dpkg_exclude.o explain.o filters.o mlocate.o plocate.o shellexp.o usr_merge.o
 
 all: cruft-ng
 tests: test_mlocate test_explain test_filters test_excludes test_dpkg cruftlib
@@ -32,6 +32,8 @@
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) dpkg_popen.o usr_merge.o test_dpkg.cc -o $@
 test_mlocate: mlocate.o test_mlocate.cc
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) mlocate.o test_mlocate.cc -o $@
+test_plocate: plocate.o test_plocate.cc
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) plocate.o test_plocate.cc -o $@
 test_excludes: dpkg_exclude.o test_excludes.cc
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(CPPFLAGS) dpkg_exclude.o test_excludes.cc -o $@
 test_diversions: test_diversions.cc dpkg_popen.o usr_merge.o
@@ -44,5 +46,5 @@
 	install -D -m 0644            README.md  $(DESTDIR)/usr/share/doc/cruft-ng/README.md
 
 clean:
-	rm -f cruft-ng cruftlib test_mlocate test_explain test_filters test_excludes test_dpkg test_diversions
+	rm -f cruft-ng cruftlib test_mlocate test_plocate test_explain test_filters test_excludes test_dpkg test_diversions
 	rm -f *.o
