=== debian/changelog ===
cruft-ng (0.4.51) unstable; urgency=medium

  * Drop depends on transitional mlocate package (Closes: #992742)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Thu, 30 Dec 2021 21:22:59 +0100
