## cruft-ng 0.4.52

=== debian/changelog ===
cruft-ng (0.4.52) unstable; urgency=low

  * Fix build on Hurd
  * update Python3.x heuristic to also support Python3.xx (e.g. 3.10)
  * bump Standards-Version to 4.6.0, no change needed

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Mon, 18 Apr 2022 23:49:39 +0200
