## cruft-ng 0.4.53

=== debian/changelog ===
cruft-ng (0.4.53) unstable; urgency=medium

  * Fix segmentation fault when custom dpkg overrides are defined
    (Closes: #1010362)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 17 Jul 2022 01:25:30 +0200
