=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
 Build-Depends:
     debhelper-compat (= 13),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/a-detiste/cruft-ng/
 Vcs-Git: https://github.com/a-detiste/cruft-ng.git
 Vcs-Browser: https://github.com/a-detiste/cruft-ng
