=== debian/changelog ===
cruft-ng (0.9.44) unstable; urgency=medium

  * salvages the explain scripts and filters from retired 'cruft-common'
  * provides 'cruft' transitional package
  * fix regression in diversion handling introduced while fixing #1010362

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 02 Oct 2022 06:24:54 +0200

cruft-ng (0.4.54) unstable; urgency=medium

  * UsrMerge rollout: also support /lib32 -> /usr/lib32
  * bump Standards-Version to 4.6.1.0, no further change needed
  * add lintian override "uses-dpkg-database-directly"

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Wed, 21 Sep 2022 19:16:21 +0200
