=== debian/control ===
Source: cruft-ng
Section: admin
Priority: optional
Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
Build-Depends:
    debhelper-compat (= 13),
Standards-Version: 4.6.1.0
Homepage: https://github.com/a-detiste/cruft-ng/
Vcs-Git: https://github.com/a-detiste/cruft-ng.git
Vcs-Browser: https://github.com/a-detiste/cruft-ng
Rules-Requires-Root: no

Package: cruft-ng
Architecture: any
Depends:
  ${shlibs:Depends},
  ${misc:Depends},
  plocate,
Breaks: cruft (<< 0.9.44~), cruft-common
Replaces: cruft (<< 0.9.44~), cruft-common
Description: program that finds any cruft built up on your system
 cruft-ng is a program to look over your system for anything that shouldn't
 be there, but is; or for anything that should be there, but isn't.
 .
 It bases most of its results on dpkg's & plocate's databases.

Package: cruft
Depends: cruft-ng, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.
