=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
 Build-Depends:
+    libdpkg-dev,
     debhelper-compat (= 13),
 Standards-Version: 4.6.1.0
 Homepage: https://github.com/a-detiste/cruft-ng/
