=== debian/changelog ===
cruft-ng (0.9.47) unstable; urgency=medium

  * new "dh-cruft" binary package: this DebHelper module is to be used
    by source package that wants to provide their own rules.
  * "cpigs" command now support the new '-c' and '-C' arguments
    to generate either a .csv dump of all the volatile files
    or with '-C' of the whole system also including static files.
  * "cpigs" now also support the new '-e' command switch
    to export data in the format expected by NCDU (Closes: #291823)
  * list loose files with known bug numbers in "cruft" report.
    These bugs needs to be tagged with
    user = "cruft-ng@packages.debian.org" and tag = "cruft".
  * keep an archive of old rules and make the package easier
    to backport.
  * remove misleading "broken symlinks" in the report,
    it is not implemented (Closes: #1022890).
  * many performance improvements by Christian Göttsche

  * new rules provided by Christian Göttsche (Closes: #1022542):
    ccache, grub-efi-*, fwupd, kde-config-sddm, pbuilder, rkhunter,
    policycoreutils-dev, tlp, usbguard, vnstat
  * update explain scripts: UCF, ispell
  * update ruleset for Python3, apt, dpkg, openssh, util-linux,
    emacs, xemacs21
  * misc. new rules for: acpid, fail2ban, tix, lynx, powertop, uwf, piuparts,
    debci, debian-reference-*, server-xorg-legacy, synaptic, libgvc6, anacron,
    nginx, fai-quickstart, pcutils, keyboard-configuration, acct,
    installation-report, keyboard-configuration, dialog
  * replace php7.4 by php8.1

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Tue, 01 Nov 2022 20:56:28 +0100

cruft-ng (0.9.46) unstable; urgency=medium

  [ Alexandre Detiste ]
  * implement config file for ignore (Closes: #509414)
  * new companion program "cpigs" that works similar
    to "dpigs" from Debian Goodies package,
    but will instead list the dynamic file usage.
  * DPKG data acquisition: also consider packages in 'rc' state
  * workaround for plocate's default "PRUNEPATH=/var/spool":
    always scan these files ourselves
  * work almost as good as non-root, suppress warnings
  * new LOGROTATE generic handling script
  * pack all the rules into a single file
  * update ruleset for Jupyter, npm, base-files,
    libdbus-1dev, timgm6mb-soundfont, dlocate,
    systemd, init-system-helpers, PolicyKit,
    avahi-autoipd, redis-tools, iperf3.

  [ Guillem Jover ]
  * various build system improvement
  * add build dependency on pkg-config to fetch libdpkg flags
  * build: Remove unnecessary explicit make rules

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Wed, 19 Oct 2022 02:47:52 +0200
