=== debian/tests/control ===
Tests: basic
Restrictions: needs-root
