=== debian/changelog ===
cruft-ng (0.9.48) unstable; urgency=medium

  * rewrite last script that needed the "file" command
    (Closes: #1023336, #1024168)
  * many more performance improvements by Christian Göttsche
  * add rules for: firebird3.0-server

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 18 Nov 2022 11:38:34 +0100
