=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster focal))
CPPFLAGS += -DBUSTER
override_dh_auto_build:
	./ruleset.sh buster
	make cruftold cpigsold
	mv cruftold cruft
	mv cpigsold cpigs
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/cruft-ng
#	mkdir -p debian/tmp/
#	pod2man --utf8 dh-cruft/dh_cruft debian/tmp/dh_cruft.1

override_dh_install:
	dh_install
#	sed -i 's/DH_CRUFT_VERSION/"$(DEB_VERSION)"/' debian/dh-cruft/usr/bin/dh_cruft
ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster focal))
	mkdir -p debian/cruft-ng/usr/lib/cruft/
	cp -a csv.py debian/cruft-ng/usr/lib/cruft/
	echo /var/lib/dpkg/info >> debian/cruft-ng/usr/share/cruft/ignore
endif
