=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
 Build-Depends:
-    pkg-config,
+    pkgconf,
     libdpkg-dev,
     debhelper-compat (= 13),
 Standards-Version: 4.6.1.0
@@ -17,7 +17,7 @@
 Depends:
   ${shlibs:Depends},
   ${misc:Depends},
-  plocate,
+  ${dist:Depends},
 Suggests:
   ncdu,
 Breaks: cruft (<< 0.9.44~), cruft-common
