=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),bullseye))
export DEB_CPPFLAGS_MAINT_APPEND = -std=gnu++17
endif

ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster focal))
export DEB_CPPFLAGS_MAINT_APPEND = -DBUSTER
endif

ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),xenial))
export DEB_CPPFLAGS_MAINT_APPEND = -DBUSTER -std=gnu++1y
endif

%:
	dh $@

override_dh_auto_build:
	./ruleset.sh $(DEB_DISTRIBUTION)
ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster xenial focal))
	make cruftold cpigsold
	mv cruftold cruft
	mv cpigsold cpigs
else
	make cruft cpigs
endif


override_dh_gencontrol:
ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster xenial focal))
	dh_gencontrol -- -Vdist:Depends="mlocate"
else
	dh_gencontrol -- -Vdist:Depends="plocate"
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/cruft-ng
#	mkdir -p debian/tmp/
#	pod2man --utf8 dh-cruft/dh_cruft debian/tmp/dh_cruft.1

override_dh_install:
	dh_install
ifneq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),xenial))
#	sed -i 's/DH_CRUFT_VERSION/"$(DEB_VERSION)"/' debian/dh-cruft/usr/bin/dh_cruft
endif
ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),buster xenial focal))
	mkdir -p debian/cruft-ng/usr/lib/cruft/
	cp -a csv.py debian/cruft-ng/usr/lib/cruft/
endif
