## cruft-ng 0.9.52

=== debian/changelog ===
cruft-ng (0.9.52) unstable; urgency=medium

  * Fix FTBFS on buildd: separate -arch and -indep targets.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sat, 28 Jan 2023 13:28:04 +0100

cruft-ng (0.9.51) unstable; urgency=medium

  * New upload to Mentors, fixing copyright attribution of mlocate_db.h
    as hinted by FTP-Master.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 27 Jan 2023 10:14:52 +0100

cruft-ng (0.9.50) unstable; urgency=medium

  * new "dh-cruft" binary package: this DebHelper module is to be used
    by source package that wants to provide their own rules.
  * update filters for: grafana, npm, python3-pip, cron*, debconf.
  * add support for nginx.deb from nginx.org.
  * ship documentation in .deb in ASCII and .png formats.

  [ Christian Göttsche ]
  * new filters for: dovecot, geoipupdate, php-fm, postfix,
    quassel-core, redis-server, rspamd, strongswan, unbound.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 27 Jan 2023 10:11:08 +0100
