## cruft-ng 0.9.53

=== Makefile ===
--- 
+++ 
@@ -69,3 +69,10 @@
 
 flow.png: flow.ditaa
 	ditaa flow.ditaa flow.png
+
+doc: flow.png
+
+bugs: debian/changelog
+	./bugs.py > bugs
+
+release: doc bugs
